<div style="background-color: #fafafa">
  <mat-toolbar color="primary" class="mat-elevation-z4 c-app-shell__header"
               style="display: flex; justify-content: space-between">
    <div>FireAudit Angular Example Client<span *ngIf="(authState$ | async) as authState">&nbsp;- {{authState.displayName}}</span></div>
    <div>
      <button mat-icon-button color="accent" (click)="show=true"  nz-tooltip="Info" nzTooltipPlacement="bottom">
        <mat-icon>info</mat-icon>
      </button>
      <button mat-icon-button color="accent" (click)="logout()" nz-tooltip="Logout" nzTooltipPlacement="bottom">
        <mat-icon>exit_to_app</mat-icon>
      </button>
    </div>
  </mat-toolbar>

  <firebase-ui *ngIf="!(authState$ | async)"></firebase-ui>

  <div *ngIf="(authState$ | async)">
    <div>
      <app-employee-list></app-employee-list>
      <app-supplier-list></app-supplier-list>
      <app-product-list></app-product-list>
      <app-order-list></app-order-list>
    </div>

  </div>
</div>

<nz-modal [(nzVisible)]="show" [nzFooter]="null" (nzOnCancel)="show = false" [nzWidth]="800">
  <h2>FireAudit</h2>
  <div>
    <p>For more information about FireAudit see:</p>
    <ul>
      <li>Studio: <a href="https://fireaudit.studio" target="_blank">https://fireaudit.studio</a></li>
      <li>FireAudit Functions Client: <a href="https://www.npmjs.com/package/@fireaudit/functions" target="_blank">https://www.npmjs.com/package/@fireaudit/functions</a>
      </li>
    </ul>
  </div>
  <div>
    <p>This application is intended for uses that have access to the Example Project in FireAudit Studio. It showcases
      the product suite, by providing a relational data set, a way to generate events, and to introduce issues.</p>
    <img width="700" *ngIf="show" src="../../../assets/model.png">
  </div>
</nz-modal>
